#include <cstdint>

extern "C" {

uint8_t BiosUartRead();
void BiosUartWrite(uint8_t);
void BiosWozmon();
void BiosUartWriteNibble(uint8_t n);

__attribute__((used)) void UartWriteU32(uint32_t a) {
    for (int i = 0; i < 8; i++) {
        BiosUartWriteNibble(a >> 28);
        a <<= 4;
    }
}

__attribute__((used)) void UartWriteString(const char* s) {
    while (*s) {
        BiosUartWrite(*s);
        s++;
    }
}
}
